Pegar a rotação de um objeto

Dúvidas sobre AutoLISP...

Moderador: Moderadores

Responder
Avatar do usuário
belinha
Bronze 1/3
Bronze 1/3
Mensagens: 176
Registrado em: Ter 25 Mar 2008 12:00:00 am

Pegar a rotação de um objeto

Mensagem por belinha »

Ola gente.

Como eu faço para armazenar em uma variavel o rotation de um objeto selecionado com o entsel.

Brigada beijos!
Avatar do usuário
ederson
Prata 1/3
Prata 1/3
Mensagens: 414
Registrado em: Qua 21 Jul 2004 12:00:00 am
Localização: Belo Horizonte

Mensagem por ederson »

Se o objeto for uma linha:

[/lsp](vla-get-angle (vlax-ename->vla-object (car (entsel))))[/lsp]

Se não for uma linha, terá que utilizar de outros recursos.
Ederson Ambrosio
031 8893-2947
BH-MG
Avatar do usuário
belinha
Bronze 1/3
Bronze 1/3
Mensagens: 176
Registrado em: Ter 25 Mar 2008 12:00:00 am

rr

Mensagem por belinha »

na verdade é um texto.
Avatar do usuário
belinha
Bronze 1/3
Bronze 1/3
Mensagens: 176
Registrado em: Ter 25 Mar 2008 12:00:00 am

rr

Mensagem por belinha »

na verdade é assim eu quero selecionar um texto e fazer um X sobre ele no tamanho dele por isso preciso saber a rotation dele.
Avatar do usuário
svfabi
Bronze 1/3
Bronze 1/3
Mensagens: 100
Registrado em: Qui 31 Ago 2006 12:00:00 am
Localização: Brasilia DF

Mensagem por svfabi »

Bom talvez resolva.
[lsp]
(cdr (assoc 50 (entget (car (entsel)))))[/lsp]te mais
Ate mais
Avatar do usuário
ederson
Prata 1/3
Prata 1/3
Mensagens: 414
Registrado em: Qua 21 Jul 2004 12:00:00 am
Localização: Belo Horizonte

Mensagem por ederson »

Neste caso é produtivo manipular as coordenadas do getboundingbox.

(vla-getboundingbox (vlax-ename->vla-object (car (entsel))) 'minpoint 'maxpoint)
(print (list (vlax-safearray->list minpoint) (vlax-safearray->list maxpoint)))

Até!
Ederson Ambrosio
031 8893-2947
BH-MG
Responder